Page MenuHomePhabricator

Special:CreateItem doesn't handle site and page params
Closed, ResolvedPublic

Description

User is offered the option to "create an item" on Special:ItemByTitle if no item match is found.

The link is such as:

http://mywikidatarepo.com/index.php?title=Special:CreateItem&site=enwiki&page=Iceland

The Special:CreateItem page doesn't do anything with the parameters. Lower priority but nice to have might be to use the parameters to pre-populate the form.


Version: master
Severity: minor

Details

Reference
bz40509

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:10 AM
bzimport set Reference to bz40509.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Sep 25 2012, 4:47 PM
jeblad added a comment.Nov 1 2012, 6:51 PM

Wonder if we should have a Special:LandingPage where a bunch of sitelinks are resolved into a disambiguation list, and Special:CreateItem can be called from this, and there translating from sitelinks into language-label-pairs would happen.

Denny added a comment.Nov 7 2012, 5:51 PM

Thanks Tpt!

Verified in Wikidata demo time for sprint 21